Subject: bug#7955: patch for imagemagick header rename

From: Glenn Morris <[email-masked]>
Date: Sat, 12 Feb 2011 18:37:12 -0500

Chong Yidong wrote:

> ImageMagick-6.0 is almost 7 years old. Let's just set HAVE_IMAGEMAGICK
> back to "no" if AC_CHECK_HEADER doesn't find MagickWand.h, and not try
> to handle the magick_wand.h case.

I'm fine with not supporting old versions, but AFAIK we have no idea if
an ImageMagick with MagickWand.h also satisfies all the other
assumptions Emacs has made about the API. So, again, I think it is
better if configure tests for the minimum version of ImageMagick that is
known to work.

As a data point, 6.2.8, which is over 4 years old, seems fine.